enargv(3)

NAME
enargv() - convert space-delimited string into argv type array

SYNOPSIS
#include "fwfunc.h"

int enargv(char *buf,char **av,int avsiz,char *tobuf,int bsiz)

DESCRIPTION
The enargv function coverts string buf into array av, using tobuf as actual storage, not exceeding the buffer size bsiz and token counter avsiz.

RETURN VALUES
The enargv function returns token counter.

SEE ALSO
isspace(3)

HISTORY
Public domain function by Macrus J Ranum, present in fwtk since v1